org.apache.fop.render.pcl

## Enum Java2DRendererOption

- java.lang.Object
- - java.lang.Enum<Java2DRendererOption>
  - - org.apache.fop.render.pcl.Java2DRendererOption

All Implemented Interfaces:
  Serializable, Comparable<Java2DRendererOption>, RendererConfigOption

    public enum Java2DRendererOption
    extends Enum<Java2DRendererOption>
    implements RendererConfigOption

An enumeration of the renderer configuration options available to the Java2D renderer via the FOP conf.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DISABLE_PJL`
`MODE_COLOR`
`OPTIMIZE_RESOURCES`
`RENDERING_MODE`
`TEXT_RENDERING`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `getDefaultValue()`
`String` `getName()` The name of the option.
`static Java2DRendererOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Java2DRendererOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RENDERING_MODE

    public static final Java2DRendererOption RENDERING_MODE

#### TEXT_RENDERING

    public static final Java2DRendererOption TEXT_RENDERING

#### DISABLE_PJL

    public static final Java2DRendererOption DISABLE_PJL

#### OPTIMIZE_RESOURCES

    public static final Java2DRendererOption OPTIMIZE_RESOURCES

#### MODE_COLOR

    public static final Java2DRendererOption MODE_COLOR

### Method Detail

#### values

    public static Java2DRendererOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Java2DRendererOption c : Java2DRendererOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Java2DRendererOption valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

The name of the option.

Specified by:
  `getName` in interface `RendererConfigOption`

#### getDefaultValue

    public Object getDefaultValue()

Specified by:
  `getDefaultValue` in interface `RendererConfigOption`